Bug 23654 - dvorak keyboard layout backspace problem w/xterm
Summary: dvorak keyboard layout backspace problem w/xterm
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-09 16:07 UTC by Kevin L. Mitchell
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 20:56:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin L. Mitchell 2001-01-09 16:07:00 UTC
I just installed RedHat 7.0 and set about configuring it and was stymied by
what
appeared to be a problem with xterm.  Whenever I pressed backspace, the
code
submitted to xterm was (from memory) ^[[3~, which of course doesn't do
anything
useful.  So I began working through the xterm manpage to find if there's a
resource
that could be the problem.  No luck.  Then I switched the XkbLayout back to
"us",
and lo and behold, it worked.  Further investigation revealed that the key
symbols
associated with <BKSP> in /usr/X11R6/lib/X11/xkb/symbols/dvorak did not
match
those used by /usr/X11R6/lib/X11/xkb/symbols/us--the dvorak key symbols
were "BackSpace, Delete", whereas the us key symbols were just "BackSpace".
Changing the symbols in the dvorak map fixed the xterm problem.

Comment 1 Eido Inoue 2001-08-24 22:38:57 UTC
I use a dvorak (soft mapped Happy Hacking) on the 7.0 and 7.1. I can't seem to
reproduce your problem.



Note You need to log in before you can comment on or make changes to this bug.